(custom-set-variables
 ;; custom-set-variables was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(line-move-visual nil)
 '(scroll-conservatively 101)
 '(scroll-down-aggressively 0.0)
 '(scroll-up-aggressively 0.0))

(defface hiselwin-face '((t (:background "lemon chiffon")))
  "Face for highlighting the selected window."
  :group 'faces)

(defvar hiselwin-overlay nil
  "Overlay for highlighting the selected window.")

(defvar hiselwin-string nil
  "String used as after-string for `hiselwin-overlay'.")

;;;###autoload
(define-minor-mode hiselwin-mode
  "Minor mode for highlighting the selected window."
  :global t
  (if hiselwin-mode
      (add-hook 'post-command-hook 'hiselwin t)
    (when (overlayp hiselwin-overlay)
      (delete-overlay hiselwin-overlay))
    (remove-hook 'post-command-hook 'hiselwin)))

(defun hiselwin ()
  "Highlight the selected window."
  (unless (window-minibuffer-p)
    (with-current-buffer (window-buffer)
      (unless (overlayp hiselwin-overlay)
	(setq hiselwin-overlay (make-overlay 0 0)))
      (unless (stringp hiselwin-string)
	(setq hiselwin-string (make-string 100 10))
	(put-text-property 0 1 'cursor (point-max) hiselwin-string))

      (overlay-put hiselwin-overlay 'face 'hiselwin-face)
      (overlay-put hiselwin-overlay 'priority 0)
      (overlay-put hiselwin-overlay 'window (selected-window))
      (overlay-put hiselwin-overlay 'after-string
		   (propertize hiselwin-string 'face 'hiselwin-face))
      (move-overlay
       hiselwin-overlay (point-min) (point-max) (current-buffer)))))
